'use strict';
Object.defineProperty(exports, '__esModule', {value: true});
const uuid_1 = require('uuid');
const Generators = {
  fromPropertyPath: (...propPath) => obj =>
    propPath.reduce((prev, prop) => prev[prop], obj),
  existingKey: () => obj => obj.key,
  uuid: () => () => uuid_1.v4(),
};
exports.default = Generators;
//# sourceMappingURL=generators.js.map
